// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function EnapMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg
      aria-hidden
      xmlns="http://www.w3.org/2000/svg"
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      {...props}
    >
      <path
        d="M12.0908 0.395599C8.94371 0.395599 5.96642 1.61449 3.72845 3.83247C3.52864 4.0223 3.52864 4.34201 3.72845 4.54182C3.92827 4.74164 4.23799 4.74164 4.43781 4.54182C6.49593 2.51367 9.21346 1.39469 12.1008 1.39469C18.1154 1.39469 23.0009 6.28024 23.0009 12.2948C23.0009 15.9215 21.2025 19.2984 18.1953 21.3365C17.9655 21.4864 17.9055 21.8061 18.0654 22.0259C18.1653 22.1658 18.3152 22.2457 18.475 22.2457C18.5749 22.2457 18.6649 22.2157 18.7548 22.1558C22.0418 19.9378 24 16.2512 24 12.2848C23.99 5.73074 18.6549 0.395599 12.0908 0.395599Z"
        fill="white"
      />
      <path
        d="M15.3479 22.6453C15.3479 22.6453 14.3288 22.2157 12.9301 21.3465C14.0391 20.2275 14.7584 18.7388 14.8883 17.0404C15.1081 14.3029 13.7393 10.7661 9.19348 9.767C3.49866 8.51814 2.43963 6.65983 2.40966 6.59988C2.32973 6.43004 2.15988 6.32014 1.97006 6.32014C1.78023 6.32014 1.60039 6.42005 1.51048 6.58989C1.36061 6.86964 -2.1362 13.6235 2.04998 19.9078C3.52864 22.1257 5.73663 23.3546 8.08449 23.3546C8.65397 23.3546 9.24343 23.2847 9.82291 23.1248C10.6821 22.905 11.4514 22.5154 12.1208 22.0158C13.7194 23.0449 14.8883 23.5345 14.9482 23.5644C15.0082 23.5944 15.0781 23.6044 15.1381 23.6044C15.3379 23.6044 15.5177 23.4845 15.5977 23.2947C15.6976 23.0349 15.5777 22.7452 15.3279 22.6453H15.3479ZM9.58313 22.1657C7.59494 22.6852 4.79748 22.2157 2.88922 19.3583C-0.20796 14.7025 1.35062 9.61714 2.08995 7.76882C2.9092 8.56809 4.78749 9.82694 8.98367 10.7461C12.9001 11.6053 14.089 14.5227 13.8992 16.9605C13.7793 18.4791 13.1099 19.8179 12.0809 20.787C11.5413 20.4173 10.9719 19.9977 10.3924 19.5081C8.04453 17.5399 6.9755 15.0922 6.96551 15.0722C6.85561 14.8224 6.56587 14.7025 6.30611 14.8124C6.05634 14.9223 5.93645 15.212 6.04635 15.4718C6.0963 15.5817 7.20529 18.1494 9.75297 20.2874C10.2825 20.727 10.782 21.1067 11.2716 21.4464C10.7621 21.7661 10.2026 22.0158 9.59312 22.1757L9.58313 22.1657Z"
        fill="white"
      />
    </svg>
  );
}
